Skip to main content
PATCH
Update card status, limits, or labels

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Open-Responses
enum<string>

Return Open Responses-compatible output when set (replaces the default response envelope).

Available options:
1,
true
X-Open-Responses-Call-Id
string

Tool call id used for function_call_output items when Open Responses mode is enabled.

Minimum string length: 1

Path Parameters

cardId
string
required

Machines card id.

Minimum string length: 8

Body

application/json
status
enum<string>
Available options:
active,
locked,
canceled,
not_activated
limit
object
encryptedName
object

Optional encrypted card label. Generate with POST /encryption/encrypt.

encryptedColor
object

Optional encrypted card color. Generate with POST /encryption/encrypt.

encryptedEmoji
object

Optional encrypted card emoji. Generate with POST /encryption/encrypt.

encryptedMemo
object

Optional encrypted card memo. Generate with POST /encryption/encrypt.

folderId
string | null
isPinned
boolean
sortOrder
integer

Response

Card updated

ok
boolean
required
data
object
required
summary
string
required
errors
object[]
required
next
object